Create Flow

Use this API to create the flow.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionValueData typeRequired/OptionalConstraints
AuthorizationAccess Token for the application{{PARTNER_APP_TOKEN}}StringRequiredShould be a valid Partner App Access Token
appIdApp id of the app{{APP_ID}}StringRequiredThe ID should be a valid app ID of the Gupshup.
namename of the flow{{NAME}}StringRequiredname refers to the flow name
categoriesCategory of the flow{{CATEGORIES}}StringRequiredcategories refers to a list of categories

Sample Request

curl --location --request POST 'https://partner.gupshup.io/partner/app/{{APP_ID}}/flows/' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/json' \
--data-raw '{
  "name": "{{FLOW_NAME}}",
  "categories": ["{{FLOW_CATEGORY}}"]
}'

Sample Response

{
    "id": "1616289422261049",
    "status": "success"
}

Status Codes

Status CodeResponseComments
Success
200

{

"id": "1616289422261049","status": "success"}

id refers to the flow-id generated by Meta
Error
400

{

"status": "error","message": "Flow name should be unique within one WhatsApp Business Account. Please select another name for your Flow."}

Flow name should be unique
Path Params
string
required

Unique identifier of the app.

Body Params
string
categories
array of strings
categories
Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json